Đến nội dung


Hình ảnh

Nối các line, arc, lwpolyline không chạm nhau


  • Please log in to reply
112 replies to this topic

#101 DanKhaosat

DanKhaosat

    biết lệnh scale

  • Members
  • PipPipPip
  • 149 Bài viết
Điểm đánh giá: 14 (tàm tạm)

Đã gửi 10 April 2014 - 04:32 PM

cách nối 2 3d poly thành 1 cao nhân xin chỉ giáo

chân thành cảm ơn!


  • 0

#102 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 10 April 2014 - 04:55 PM

8 bài viết liên tục mà thậm chí cũng không gởi nỗi bản vẽ để test ư?


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#103 sgcq

sgcq

    Hội Hai Lúa

  • Members
  • PipPipPipPipPipPipPip
  • 1880 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 10 April 2014 - 09:26 PM

:D :D :D

Bác Bình thông cảm, hàng tối mật không up lên đây được.

:D :D :D


  • 0

12728974_230210507314169_718723558582070 HỘI HAI LÚA

           fanpage: https://www.facebook.com/HoiHaiLua/

 

 

 

 

 

 


#104 Hoan1111

Hoan1111

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2587 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 10 April 2014 - 09:34 PM

:D :D :D

Bác Bình thông cảm, hàng tối mật không up lên đây được.

:D :D :D

 

 

Anh Hai Lúa chuyên sản xuất và gia công hàng ...chợ à???? :) :) :)
 


  • 0

66 Câu Phật Học Cho Cuộc Sống : http://ngocchinh.com...-cho-cuoc-song/

Gió đưa cây cải về trời / Rau răm ở lại chịu lời đắng cay...

 

 


#105 namnhim

namnhim

    biết vẽ polygon

  • Members
  • PipPip
  • 73 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 10 April 2014 - 09:48 PM

Trước khi dùng:
pedit_Truoc.gif

Sau khi dùng:
pedit_Sau.gif

có thể dùng Lisp nào dùng để nối nó được không anh

Cái này có thể dùng lisp này giải quyết đơn giản hơn không cần quan tâm đến không cách xa hay gần.

(defun c:mcha ( / *error* mid AssocOn ss i ent p1 p2 lin linn lins flins ptlst1 pt1 pt11 ptlst2 pt2 pt22 chpts chamfers )
  (vl-load-com)  
  (defun *error* ( msg )
    (if chma (setvar 'chamfera chma))
    (if chmb (setvar 'chamferb chmb))
    (if chmm (setvar 'chammode chmm))
    (vla-endundomark (vla-get-activedocument (vlax-get-acad-object))))
  (defun mid ( p1 p2 )
    (mapcar '(lambda ( a b ) (/ (+ a b) 2.0)) p1 p2))
  (defun AssocOn ( SearchTerm Lst func fuzz )
    (car (vl-member-if (function
          (lambda (pair) (equal SearchTerm (apply func (list pair)) fuzz))) lst)))
  (vla-startundomark (vla-get-activedocument (vlax-get-acad-object)))
  (mapcar 'set '(chma chmb chmm) (mapcar 'getvar '(chamfera chamferb chammode)))
  (mapcar 'setvar '(chamfera chamferb chammode) '(0 0 0))
  (prompt "\nSelect line entities")
  (while (not (setq ss (ssget "_:L" '((0 . "LINE"))))))
  (setq i -1)
  (while (setq ent (ssname ss (setq i (1+ i))))
    (setq p1 (trans (vlax-curve-getstartpoint ent) 0 1))
    (setq p2 (trans (vlax-curve-getendpoint ent) 0 1))
    (setq lin (list p1 p2))
    (setq lins (cons lin lins)))
  (setq flins (apply 'append lins))
  (foreach lin lins
    (setq ptlst1 (vl-sort flins '(lambda ( a b ) (< (distance (car lin) a) (distance (car lin) b)))))
    (if (equal (cadr ptlst1) (cadr lin) 1e-8) (setq pt1 (caddr ptlst1)) (setq pt1 (cadr ptlst1)))
    (if (setq linn (assocon pt1 lins 'car 1e-8)) (setq pt11 (mid (car linn) (cadr linn))))
    (if (setq linn (assocon pt1 lins 'cadr 1e-8)) (setq pt11 (mid (car linn) (cadr linn))))
    (setq ptlst2 (vl-sort flins '(lambda ( a b ) (< (distance (cadr lin) a) (distance (cadr lin) b)))))
    (if (equal (cadr ptlst2) (car lin) 1e-8) (setq pt2 (caddr ptlst2)) (setq pt2 (cadr ptlst2)))
    (if (setq linn (assocon pt2 lins 'car 1e-8)) (setq pt22 (mid (car linn) (cadr linn))))
    (if (setq linn (assocon pt2 lins 'cadr 1e-8)) (setq pt22 (mid (car linn) (cadr linn))))
    (setq chpts (list pt11 (mid (car lin) (cadr lin))) chamfers (cons chpts chamfers) chpts (list pt22 (mid (car lin) (cadr lin))) chamfers (cons chpts chamfers)))
  (foreach chpts chamfers
    (command "_.chamfer" (car chpts) (cadr chpts)))
  (*error* nil) (princ))

  • 0

#106 DanKhaosat

DanKhaosat

    biết lệnh scale

  • Members
  • PipPipPip
  • 149 Bài viết
Điểm đánh giá: 14 (tàm tạm)

Đã gửi 11 April 2014 - 09:58 AM

Nhờ các bạn chỉ giúp với

Kèm theo bản vẽhttp://www.cadviet.c...7877n_273àn.dwg


  • 0

#107 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 11 April 2014 - 12:09 PM

Bạn xài cái này để nối, tôi lấy ở trang http://www.black-cad....de/pediten.htm

Còn lý do tại sao không nối được thì tôi không biết , vì nó là 3d polyline. 


  • 1

#108 DanKhaosat

DanKhaosat

    biết lệnh scale

  • Members
  • PipPipPip
  • 149 Bài viết
Điểm đánh giá: 14 (tàm tạm)

Đã gửi 11 April 2014 - 12:28 PM

Bạn xài cái này để nối, tôi lấy ở trang http://www.black-cad....de/pediten.htm

Còn lý do tại sao không nối được thì tôi không biết , vì nó là 3d polyline. 

cẢM ƠN BẠN Tot77


  • 0

#109 sgcq

sgcq

    Hội Hai Lúa

  • Members
  • PipPipPipPipPipPipPip
  • 1880 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 11 April 2014 - 12:36 PM

:D :D :D

Rã 2 đường polyline đó ra, chỉnh 2 thông số như hình minh họa về 0 (zero) rồi nối bình thường.

File đã xử lý: http://www.cadviet.c...7877n_273àn.dwg

:D :D :D

110802_screenshot_25.png


  • 1

12728974_230210507314169_718723558582070 HỘI HAI LÚA

           fanpage: https://www.facebook.com/HoiHaiLua/

 

 

 

 

 

 


#110 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 11 April 2014 - 12:56 PM

Nhờ các bạn chỉ giúp với

Kèm theo bản vẽhttp://www.cadviet.c...7877n_273àn.dwg

Hề hề hề,

Lý do không nối được bởi hai polyline có mút không trùng nhau. Điểm trên bản vẽ tưởng trùng nhau nhưng chúng có tọa độ khác nhau đáng kể.

Bạn hãy dùng thử lisp dưới đây và  nhớ nhập giá trị sai lệch khá lớn (khoảng 10) xem sao nhé.

Chúc bạn vui và nhớ tuân thủ đúng quy định của diễn đàn

.http://www.cadviet.c...ointpl2lwpl.lsp


  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#111 rongdat309

rongdat309

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 07 August 2015 - 10:47 AM

Đâu có bị gì nhẻ???? Mình làm bình thường mà bạn. Chắc bạn thao tác còn thiếu tại dòng nhắc lệnh.
Bạn gõ Pe -> gõ M -> chọn tất cả -> chọn Join -> Jointyle -> chọn Both (bao gồm cả Extend và Add) -> gõ 1 hoặc 2 rùi enter là OK
Mình làm trên file bạn thấy nối line Ok cả

Cảm ơn bạn rất nhiều.Cũng cảm ơn bác hoành đã mở topic này.


  • 0

#112 Bé tập tô

Bé tập tô

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 07 August 2015 - 10:58 AM

Các bác cho em hỏi chút với ah.

Em đang dùng cad 2013 khi vẽ xong em đi lấy kích thước của bản vẽ thì bị lỗi 

Nó chỉ hiển thị 1 ô vuông nhỏ ở giữa dòng kích thước thay vì hiển thị kích thước của chi tiết.

Có bác nào biết cách sửa lỗi đó làm ơn chỉ giáo em với, em sắp phải nộp bài rồi ;(```

 

Thank's


  • 0

#113 ndtnv

ndtnv

    biết lệnh minsert

  • Members
  • PipPipPipPipPipPip
  • 437 Bài viết
Điểm đánh giá: 384 (khá)

Đã gửi 07 August 2015 - 03:09 PM

QTEXTMODE = 0

REGEN

PS: Hỏi sai topic


  • 0